使用增强模式时将knife4j.enable=true写在配置中心

疾风小超人 发布于 01/20 10:46
阅读 203
收藏 0

就是我在配置增强模式的时候把配置写在nacos的配置中心了,在编写配置类的时候会有个报错:

Could not autowire. No beans of 'OpenApiExtensionResolver' type found. 

虽然不影响功能,但是有红色波浪线看着总感觉不舒服,这个有什么解决办法么?

加载中
0
a
aicerain

我也报这个错 都启动不了  我就自己写个个类继承下 加了个 @Compent 注解

0
a
aicerain

使用 @Import 注解 可以解决这个问题 

@Import(value = {OpenApiExtensionResolver.class, OpenApiExtendSetting.class})
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部
返回顶部
顶部